Package com.google.android.exoplayer2.testutil.truth

## Interface SpannedSubject.Aligned

- Enclosing class:
    SpannedSubject

      public static interface SpannedSubject.Aligned

  Allows assertions about the alignment of a span.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SpannedSubject.AndSpanFlags` | `withAlignment​(Layout.Alignment alignment)` | Checks that at least one of the matched spans has the expected `alignment`.

- - ### Method Detail

    - #### withAlignment

          SpannedSubject.AndSpanFlags withAlignment​(Layout.Alignment alignment)

      Checks that at least one of the matched spans has the expected `alignment`.
      Parameters:
        `alignment` - The expected alignment.
      Returns:
        A `SpannedSubject.WithSpanFlags` object for optional additional assertions on the flags.